diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 671daee..073d07e 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -29301,8 +29301,9 @@ FunctionSpaceFunctions2(R, A, S, B): Exports == Implementation where
     smpmap: (R -> S, P) -> B
 
     smpmap(fn, p) ==
-      map(map(map(fn, #1), #1)$ExpressionSpaceFunctions2(A,B),fn(#1)::B,
-        p)$PolynomialCategoryLifting(IndexedExponents K, K, R, P, B)
+      map(x+->map(z+->map(fn, z),x)$ExpressionSpaceFunctions2(A,B),
+          y+->fn(y)::B,p)_
+           $PolynomialCategoryLifting(IndexedExponents K, K, R, P, B)
 
     if R has IntegralDomain then
       if S has IntegralDomain then
diff --git a/changelog b/changelog
index 274c474..9885786 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090520 tpd src/axiom-website/patches.html 20090520.01.tpd.patch
+20090520 tpd books/bookvol10.4 F FS2 +-> conversion
 20090519 tpd src/axiom-website/patches.html 20090519.09.tpd.patch
 20090519 tpd books/bookvol10.4 FSCINT +-> conversion
 20090519 tpd src/axiom-website/patches.html 20090519.08.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 88f34a3..742a734 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1382,5 +1382,7 @@ bookvol10.4 FSPECF +-> conversion<br/>
 bookvol10.3 XRPOLY +-> conversion<br/>
 <a href="patches/20090519.09.tpd.patch">20090519.09.tpd.patch</a>
 bookvol10.4 FSCINT +-> conversion<br/>
+<a href="patches/20090520.01.tpd.patch">20090520.01.tpd.patch</a>
+bookvol10.4 FS2 +-> conversion<br/>
  </body>
 </html>
